org.apache.datasketches.thetacommon

## Enum SetOperationCornerCases.CornerCase

- java.lang.Object
- - java.lang.Enum<SetOperationCornerCases.CornerCase>
  - - org.apache.datasketches.thetacommon.SetOperationCornerCases.CornerCase

All Implemented Interfaces:
  Serializable, Comparable<SetOperationCornerCases.CornerCase>

Enclosing class:
  SetOperationCornerCases

    public static enum SetOperationCornerCases.CornerCase
    extends Enum<SetOperationCornerCases.CornerCase>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Degen_Degen`
`Degen_Empty`
`Degen_Estimation`
`Degen_Exact`
`Empty_Degen`
`Empty_Empty`
`Empty_Estimation`
`Empty_Exact`
`Estimation_Degen`
`Estimation_Empty`
`Estimation_Estimation`
`Estimation_Exact`
`Exact_Degen`
`Exact_Empty`
`Exact_Estimation`
`Exact_Exact`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SetOperationCornerCases.CornerCase` `caseIdToCornerCase(int id)`
`SetOperationCornerCases.AnotbAction` `getAnotbAction()`
`String` `getCaseDescription()`
`int` `getId()`
`SetOperationCornerCases.IntersectAction` `getIntersectAction()`
`SetOperationCornerCases.UnionAction` `getUnionAction()`
`static SetOperationCornerCases.CornerCase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SetOperationCornerCases.CornerCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Empty_Empty

    public static final SetOperationCornerCases.CornerCase Empty_Empty

#### Empty_Exact

    public static final SetOperationCornerCases.CornerCase Empty_Exact

#### Empty_Estimation

    public static final SetOperationCornerCases.CornerCase Empty_Estimation

#### Empty_Degen

    public static final SetOperationCornerCases.CornerCase Empty_Degen

#### Exact_Empty

    public static final SetOperationCornerCases.CornerCase Exact_Empty

#### Exact_Exact

    public static final SetOperationCornerCases.CornerCase Exact_Exact

#### Exact_Estimation

    public static final SetOperationCornerCases.CornerCase Exact_Estimation

#### Exact_Degen

    public static final SetOperationCornerCases.CornerCase Exact_Degen

#### Estimation_Empty

    public static final SetOperationCornerCases.CornerCase Estimation_Empty

#### Estimation_Exact

    public static final SetOperationCornerCases.CornerCase Estimation_Exact

#### Estimation_Estimation

    public static final SetOperationCornerCases.CornerCase Estimation_Estimation

#### Estimation_Degen

    public static final SetOperationCornerCases.CornerCase Estimation_Degen

#### Degen_Empty

    public static final SetOperationCornerCases.CornerCase Degen_Empty

#### Degen_Exact

    public static final SetOperationCornerCases.CornerCase Degen_Exact

#### Degen_Estimation

    public static final SetOperationCornerCases.CornerCase Degen_Estimation

#### Degen_Degen

    public static final SetOperationCornerCases.CornerCase Degen_Degen

### Method Detail

#### values

    public static SetOperationCornerCases.CornerCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SetOperationCornerCases.CornerCase c : SetOperationCornerCases.CornerCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SetOperationCornerCases.CornerCase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getId

    public int getId()

#### getCaseDescription

    public String getCaseDescription()

#### getIntersectAction

    public SetOperationCornerCases.IntersectAction getIntersectAction()

#### getAnotbAction

    public SetOperationCornerCases.AnotbAction getAnotbAction()

#### getUnionAction

    public SetOperationCornerCases.UnionAction getUnionAction()

#### caseIdToCornerCase

    public static SetOperationCornerCases.CornerCase caseIdToCornerCase(int id)